<!DOCTYPE html>
<html
	lang="en"
	xmlns:th="http://www.thymeleaf.org"
	xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
	class="scroll-smooth"
>
	<head>
		<!-- Required meta tags -->
		<meta charset="utf-8" />
		<meta name="viewport" content="width=device-width, initial-scale=1" />
		<meta name="title" content="Daftar - STMIK Tazkia" />
		<meta
			name="description"
			content="Daftar kuliah S1 jurusan IT di Sekolah tinggi manajemen informasi dan komputer Tazkia"
		/>
		<meta
			name="keyword"
			content="daftar kuliah S1, kuliah IT Bogor, Sistem Informasi, Teknik Informatika, Daftar Tazkia,"
		/>
		<!--favicon-->
		<link rel="icon" type="image/x-icon" th:href="@{'/img/favicon.png'}" />
		<!-- my style-->
		<link th:href="@{'/dist/css/main.css'}" rel="stylesheet" />
		<title>Daftar - STMIK Tazkia</title>

		<!-- script -->
		<script src="https://code.jquery.com/jquery-3.5.0.min.js"></script>
		<script src="https://cdn.jsdelivr.net/npm/select2@4.1.0-rc.0/dist/js/select2.min.js"></script>
		<script defer src="https://cdn.jsdelivr.net/npm/alpinejs@3.x.x/dist/cdn.min.js"></script>
		<style>
			.select2-results__options {
				height: 200px;
				overflow-y: scroll;
			}
		</style>
		<script th:inline="javascript">
			$(document).ready(function () {
				// select2
				$("#city").select2({
					placeholder: "-- Pilih --",
				});
				// form validation
				(() => {
					"use strict";

					// Fetch all the forms we want to apply validation styles to
					const forms = document.querySelectorAll("form[novalidate]");

					// Loop over them and prevent submission
					Array.from(forms).forEach((form) => {
						form.addEventListener(
							"submit",
							(event) => {
								if (!form.checkValidity()) {
									event.preventDefault();
									event.stopPropagation();
								}

								const inputs = form.getElementsByClassName("needs-validation");

								Array.from(inputs).forEach((input) => {
									const isValidate = input.checkValidity();
									if (!isValidate) {
										input.setAttribute("data-invalid", "true");

										const errorEl = form.querySelector("#error" + input.name);

										if (errorEl) {
											errorEl.innerHTML = input.validationMessage;
										}
									}
								});
							},
							false
						);
					});
				})();
			});
		</script>
	</head>
	<body class="bg-surface">
		<div class="relative">
			<!-- ornamen pixel -->
			<div class="absolute left-0 top-0 w-full md:h-full md:w-auto">
				<img th:src="@{'/img/tazkia-orange-pixel.svg'}" class="h-full w-full object-cover opacity-20" />
				<div
					class="absolute right-0 top-0 h-full w-full bg-gradient-to-l from-surface from-10% to-surface/0"
				></div>
				<div
					class="absolute bottom-0 right-0 h-full w-full bg-gradient-to-t from-surface from-10% to-surface/0"
				></div>
			</div>
			<!-- radial blur -->
			<div class="absolute inset-0 hidden -space-x-52 opacity-40 sm:grid sm:grid-cols-2">
				<div class="h-32 bg-gradient-to-r from-primary to-warning blur-[106px]"></div>
				<div class="h-56 bg-gradient-to-br from-error-container to-primary blur-[106px]"></div>
			</div>
			<!-- contet -->
			<div class="relative z-10 mx-auto max-w-screen-sm px-6 py-10">
				<div class="mb-10 text-center">
					<a href="https://stmik.tazkia.ac.id" class="mb-4 flex items-center justify-center">
						<img src="/img/logo.svg" alt="logo" />
					</a>
					<h1 class="text-3xl font-bold text-on-surface-higher">Form Pendaftar</h1>
					<p class="text-on-surface-lower">
						Silahkan lengkapi data dibawah ini untuk melakukan pendaftaran program Sarjana STMIK Tazkia
					</p>
				</div>
				<div>
					<form th:action="@{/stmiktazkia}" th:object="${sarjanaDto}" method="post" novalidate>
						<div class="grid grid-cols-1 gap-4 sm:grid-cols-2">
							<!-- nama lengkap -->
							<div>
								<label for="name" class="mb-2 block text-sm font-medium text-on-surface"
									>Nama Lengkap</label
								>
								<div class="relative">
									<input
										class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
										type="text"
										id="name"
										name="nama"
										placeholder="Nama Lengkap"
										value=""
										required="required"
									/>
									<div class="absolute inset-y-0 start-0 flex items-center ps-4">
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-4 shrink-0 text-on-surface-lower"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M15.75 6a3.75 3.75 0 1 1-7.5 0 3.75 3.75 0 0 1 7.5 0ZM4.501 20.118a7.5 7.5 0 0 1 14.998 0A17.933 17.933 0 0 1 12 21.75c-2.676 0-5.216-.584-7.499-1.632Z"
											></path>
										</svg>
									</div>
								</div>
								<p id="errornama" class="mt-2 block text-sm text-error"></p>
							</div>

							<!-- no telepon -->
							<div>
								<label for="phone" class="mb-2 block text-sm font-medium text-on-surface"
									>No. Telepon</label
								>
								<div class="relative">
									<input
										class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
										type="text"
										id="phone"
										name="noHp"
										placeholder="No. Telepon"
										value=""
										required="required"
									/>
									<div class="absolute inset-y-0 start-0 flex items-center ps-4">
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-4 shrink-0 text-on-surface-lower"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M2.25 6.75c0 8.284 6.716 15 15 15h2.25a2.25 2.25 0 0 0 2.25-2.25v-1.372c0-.516-.351-.966-.852-1.091l-4.423-1.106c-.44-.11-.902.055-1.173.417l-.97 1.293c-.282.376-.769.542-1.21.38a12.035 12.035 0 0 1-7.143-7.143c-.162-.441.004-.928.38-1.21l1.293-.97c.363-.271.527-.734.417-1.173L6.963 3.102a1.125 1.125 0 0 0-1.091-.852H4.5A2.25 2.25 0 0 0 2.25 4.5v2.25Z"
											/>
										</svg>
									</div>
								</div>
								<p id="errornoHp" class="mt-2 block text-sm text-error"></p>
							</div>

							<!-- email -->
							<div>
								<label for="email" class="mb-2 block text-sm font-medium text-on-surface">Email</label>
								<div class="relative">
									<input
										class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
										type="email"
										id="email"
										name="email"
										placeholder="emailkamu@gmail.com"
										value=""
										required="required"
									/>
									<div class="absolute inset-y-0 start-0 flex items-center ps-4">
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-4 shrink-0 text-on-surface-lower"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M21.75 6.75v10.5a2.25 2.25 0 0 1-2.25 2.25h-15a2.25 2.25 0 0 1-2.25-2.25V6.75m19.5 0A2.25 2.25 0 0 0 19.5 4.5h-15a2.25 2.25 0 0 0-2.25 2.25m19.5 0v.243a2.25 2.25 0 0 1-1.07 1.916l-7.5 4.615a2.25 2.25 0 0 1-2.36 0L3.32 8.91a2.25 2.25 0 0 1-1.07-1.916V6.75"
											/>
										</svg>
									</div>
								</div>
								<p id="erroremail" class="mt-2 block text-sm text-error"></p>
							</div>

							<!-- password -->
							<div>
								<label for="password" class="mb-2 block text-sm font-medium text-on-surface"
									>Password</label
								>
								<div x-data="{showPass : false}" class="relative">
									<input
										class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-11 py-3 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
										:type="showPass == true ? 'text' : 'password'"
										id="password"
										name="password"
										placeholder="••••••••"
										required="required"
									/>
									<div class="absolute inset-y-0 start-0 flex items-center ps-4">
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-4 shrink-0 text-on-surface-lower"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M15.75 5.25a3 3 0 0 1 3 3m3 0a6 6 0 0 1-7.029 5.912c-.563-.097-1.159.026-1.563.43L10.5 17.25H8.25v2.25H6v2.25H2.25v-2.818c0-.597.237-1.17.659-1.591l6.499-6.499c.404-.404.527-1 .43-1.563A6 6 0 1 1 21.75 8.25Z"
											/>
										</svg>
									</div>
									<!-- toggle password -->
									<button
										@click="showPass = !showPass"
										type="button"
										class="absolute inset-y-0 end-0 flex items-center pe-4 text-on-surface-lower hover:text-on-surface-higher"
									>
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											:class="showPass == true ? 'hidden' : 'block'"
											class="size-4 shrink-0"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M3.98 8.223A10.477 10.477 0 0 0 1.934 12C3.226 16.338 7.244 19.5 12 19.5c.993 0 1.953-.138 2.863-.395M6.228 6.228A10.451 10.451 0 0 1 12 4.5c4.756 0 8.773 3.162 10.065 7.498a10.522 10.522 0 0 1-4.293 5.774M6.228 6.228 3 3m3.228 3.228 3.65 3.65m7.894 7.894L21 21m-3.228-3.228-3.65-3.65m0 0a3 3 0 1 0-4.243-4.243m4.242 4.242L9.88 9.88"
											/>
										</svg>

										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											:class="showPass == true ? 'block' : 'hidden'"
											class="size-4 shrink-0"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M2.036 12.322a1.012 1.012 0 0 1 0-.639C3.423 7.51 7.36 4.5 12 4.5c4.638 0 8.573 3.007 9.963 7.178.07.207.07.431 0 .639C20.577 16.49 16.64 19.5 12 19.5c-4.638 0-8.573-3.007-9.963-7.178Z"
											/>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M15 12a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
											/>
										</svg>
									</button>
								</div>
								<p id="errorpassword" class="mt-2 block text-sm text-error"></p>
							</div>
							<!-- program studi -->
							<div>
								<label for="program" class="mb-2 block text-sm font-medium text-on-surface"
									>Program Studi</label
								>
								<div class="relative">
									<select
										class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
										id="program"
										name="programStudi"
										required
									>
										<option value="">-- Pilih --</option>
										<option
											th:each="pr : ${daftarProdiS1}"
											th:value="${pr.id}"
											th:text="${pr.nama}"
										></option>
									</select>
									<div class="absolute inset-y-0 start-0 flex items-center ps-4">
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-4 shrink-0 text-on-surface-lower"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M4.26 10.147a60.438 60.438 0 0 0-.491 6.347A48.62 48.62 0 0 1 12 20.904a48.62 48.62 0 0 1 8.232-4.41 60.46 60.46 0 0 0-.491-6.347m-15.482 0a50.636 50.636 0 0 0-2.658-.813A59.906 59.906 0 0 1 12 3.493a59.903 59.903 0 0 1 10.399 5.84c-.896.248-1.783.52-2.658.814m-15.482 0A50.717 50.717 0 0 1 12 13.489a50.702 50.702 0 0 1 7.74-3.342M6.75 15a.75.75 0 1 0 0-1.5.75.75 0 0 0 0 1.5Zm0 0v-3.675A55.378 55.378 0 0 1 12 8.443m-7.007 11.55A5.981 5.981 0 0 0 6.75 15.75v-1.5"
											/>
										</svg>
									</div>
								</div>
								<p id="errorprogramStudi" class="mt-2 block text-sm text-error"></p>
							</div>

							<!-- asal sekolah -->
							<div>
								<label for="school" class="mb-2 block text-sm font-medium text-on-surface"
									>Asal Sekolah</label
								>
								<div class="relative">
									<input
										class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
										type="text"
										id="school"
										name="namaAsalSekolah"
										placeholder="Asal Sekolah"
										required="required"
									/>
									<div class="absolute inset-y-0 start-0 flex items-center ps-4">
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-4 shrink-0 text-on-surface-lower"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M12 21v-8.25M15.75 21v-8.25M8.25 21v-8.25M3 9l9-6 9 6m-1.5 12V10.332A48.36 48.36 0 0 0 12 9.75c-2.551 0-5.056.2-7.5.582V21M3 21h18M12 6.75h.008v.008H12V6.75Z"
											/>
										</svg>
									</div>
								</div>
								<p id="errornamaAsalSekolah" class="mt-2 block text-sm text-error"></p>
							</div>
							<!-- kota asal sekolah -->
							<div>
								<label for="city" class="mb-2 block text-sm font-medium text-on-surface"
									>Kota Asal Sekolah</label
								>
								<div class="relative">
									<select
										class="needs-validation peer hidden w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
										id="city"
										name="idKabupatenKota"
										required
										style="height: 100px"
									>
										<option value="">--Pilih--</option>
										<option
											th:each="kab : ${daftarKokab}"
											th:value="${kab.id}"
											th:text="${kab.nama}"
										></option>
									</select>
									<div class="absolute inset-y-0 start-0 flex items-center ps-4">
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-4 shrink-0 text-on-surface-lower"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M15 10.5a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
											/>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M19.5 10.5c0 7.142-7.5 11.25-7.5 11.25S4.5 17.642 4.5 10.5a7.5 7.5 0 1 1 15 0Z"
											/>
										</svg>
									</div>
								</div>
								<p id="erroridKabupatenKota" class="mt-2 block text-sm text-error"></p>
							</div>

							<!-- tahun lulus -->
							<div>
								<label for="graduation-year" class="mb-2 block text-sm font-medium text-on-surface"
									>Tahun Lulus</label
								>
								<div class="relative">
									<input
										class="needs-validation block w-full rounded-default border border-surface-outline bg-transparent px-4 py-3 ps-11 text-sm text-on-surface focus:border-primary-outline-highest focus:ring-primary-outline-highest data-[invalid=true]:border-error-outline data-[invalid=true]:ring-error-outline-highest data-[invalid=true]:focus:border-error-outline-highest"
										type="number"
										id="graduation-year"
										name="tahunLulus"
										placeholder="2024"
										value=""
										required="required"
									/>
									<div class="absolute inset-y-0 start-0 flex items-center ps-4">
										<svg
											xmlns="http://www.w3.org/2000/svg"
											fill="none"
											viewBox="0 0 24 24"
											stroke-width="1.5"
											stroke="currentColor"
											class="size-4 shrink-0 text-on-surface-lower"
										>
											<path
												stroke-linecap="round"
												stroke-linejoin="round"
												d="M6.75 3v2.25M17.25 3v2.25M3 18.75V7.5a2.25 2.25 0 0 1 2.25-2.25h13.5A2.25 2.25 0 0 1 21 7.5v11.25m-18 0A2.25 2.25 0 0 0 5.25 21h13.5A2.25 2.25 0 0 0 21 18.75m-18 0v-7.5A2.25 2.25 0 0 1 5.25 9h13.5A2.25 2.25 0 0 1 21 11.25v7.5"
											/>
										</svg>
									</div>
								</div>
								<p id="errortahunLulus" class="mt-2 block text-sm text-error"></p>
							</div>
						</div>
						<div class="flex items-center justify-between">
							<a
								href="https://spmb.tazkia.ac.id/login"
								class="text-sm font-medium text-on-surface-lower hover:text-primary hover:underline"
								>Sudah pernah daftar ? Login disini</a
							>
						</div>
						<button
							type="submit"
							class="mt-4 inline-flex w-full items-center justify-center gap-x-2 rounded-default bg-primary px-4 py-3 text-sm font-semibold text-on-primary hover:bg-primary-higher focus:bg-primary-higher focus:outline-none focus-visible:ring-2 focus-visible:ring-primary-outline-lower disabled:cursor-not-allowed disabled:bg-primary-lowest disabled:text-on-primary/50"
						>
							Daftar
						</button>
					</form>
				</div>
			</div>
		</div>
	</body>
</html>
